Bug 1306815 - xterm/xhost is not working when we upgrade from 7.0 to 7.2. [NEEDINFO]
xterm/xhost is not working when we upgrade from 7.0 to 7.2.
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-xauth (Show other bugs)
7.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Hans de Goede
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 13:59 EST by Abhi
Modified: 2017-02-04 00:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: needinfo? (sai.abhi10)


Attachments (Terms of Use)

  None (edit)
Description Abhi 2016-02-11 13:59:04 EST
Description of problem:
xterm/xhost is not working when we upgrade from 7.0 to 7.2.

Version-Release number of selected component (if applicable):
xorg-x11-xauth-1.0.9-1.el7.x86_64
xorg-x11-server-Xorg-1.17.2-10.el7.x86_64
xorg-x11-server-common-1.17.2-10.el7.x86_64


How reproducible:
Upgrade server from 7.0 to 7.2

Steps to Reproduce:
1.Patch the os (rhel 7) 
2.Upon patching the xorg* rpms will be on 1.17 verison.
3. Test with xterm or xclock

For step 3 need to do the following before testing:
#export DISPLAY=localhost:10.0

/etc/hosts
127.0.0.1   localhost localhost.localdomain 

/etc/ssh/sshd_config
X11Forwarding yes

Actual results:


Expected results:


Additional info:
Comment 2 Hans de Goede 2016-02-11 14:06:42 EST
The reproduction instructions seem to be incomplete, can you please provide clear step by step reproduction instructions for your problem, and also include any error messages and the expected result.
Comment 3 Abhi 2016-02-11 14:24:32 EST
Here are the detailed steps:

1. Built a server with rhel 7.0.
2. /host/xclock was working.
2. After couple of months i.e 1 st week of Jan, i have updated the os with latest patches.

##############
[root@hostname ~]# cat /etc/*release
NAME="Red Hat Enterprise Linux Server"
VERSION="7.2 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="7.2"
PRETTY_NAME="Red Hat Enterprise Linux"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.2:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.2
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.2"
Red Hat Enterprise Linux Server release 7.2 (Maipo)
Red Hat Enterprise Linux Server release 7.2 (Maipo)
[root@hostname ~]#
####################

3. Upon patching the xhost/xclock stopped working.
Comment 4 Hans de Goede 2016-02-12 13:59:37 EST
I still need better reproduction instructions. Please describe step by step what you are doing, without skipping any steps, here is an incomplete list of unanswered questions:

1) How are you logging in to the system?
2) Are you using xhost to change permissions?
3) If you are using xhost to change permissions, then I take it that you are using 2 sessions, one where you are using xhost to open things u[ and another where you are starting a program ?
4) Please provide a list of the all commanfs you enter in both sessions starting with how you log in to both session?
4) Why did you need to manually set "export DISPLAY=localhost:10.0" back when things were still working  ?
(normally DISPLAY will get set correctly automatically)
5) How is "/etc/ssh/sshd_config X11Forwarding yes" relevant to your case ?
6) If you're using ssh forwarding why are you also using "xhost" to set permissions ?
7) etc.

Note You need to log in before you can comment on or make changes to this bug.